## jsonpath-ng 1.8.0

=== Makefile ===
OK_COLOR=\033[32;01m
NO_COLOR=\033[0m

all: lint unit

export PYTHONPATH:=${PWD}
version=`python -c 'import jsonpath_ng; print(jsonpath_ng.__version__)'`
filename=jsonpath_ng-`python -c 'import jsonpath_ng; print(jsonpath_ng.__version__)'`.tar.gz

apidocs:
	@sphinx-apidoc -f --follow-links -H "API documentation" -o docs/source jsonpath_ng

htmldocs:
	@rm -rf docs/_build
	$(MAKE) -C docs html

install:
	@pip install -r requirements.txt
	@pip install -r requirements-dev.txt

lint:
	@echo "$(OK_COLOR)==> Linting code ...$(NO_COLOR)"
	@flake8 --exclude=tests .

test: clean
	@echo "$(OK_COLOR)==> Running tests ...$(NO_COLOR)"
	@tox

tag:
	@echo "$(OK_COLOR)==> Creating tag $(version) ...$(NO_COLOR)"
	@git tag -a "v$(version)" -m "Version $(version)"
	@echo "$(OK_COLOR)==> Pushing tag $(version) to origin ...$(NO_COLOR)"
	@git push origin "v$(version)"

bump:
	@bumpversion --commit --tag --current-version $(version) patch jsonpath_ng/__init__.py --allow-dirty

bump-minor:
	@bumpversion --commit --tag --current-version $(version) minor jsonpath_ng/__init__.py --allow-dirty

history:
	@git changelog --tag $(version)

clean:
	@echo "$(OK_COLOR)==> Cleaning up files that are already in .gitignore...$(NO_COLOR)"
	@git clean -Xf

publish:
	@echo "$(OK_COLOR)==> Releasing package ...$(NO_COLOR)"
	@python setup.py sdist bdist_wheel
	@twine upload dist/*
	@rm -fr build dist .egg pook.egg-info

=== requirements.txt ===
setuptools>=18.5

## jsonpath-ng 1.5.3

=== debian/changelog ===
jsonpath-ng (1.5.3-2) unstable; urgency=medium

  * Team upload.

  [ Antonio Valentino ]
  * Remove the unnecessary d/tests folder.

  [ Bas Couwenberg ]
  * Source-only upload.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 16 Jul 2023 13:10:20 +0200

jsonpath-ng (1.5.3-1) unstable; urgency=low

  * Initial release (Closes: #1040764).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 13 Jul 2023 07:57:35 +0000

=== debian/control ===
Source: jsonpath-ng
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-decorator,
               python3-oslotest,
               python3-pkg-resources,
               python3-ply,
               python3-pytest,
               python3-setuptools,
               python3-six,
               python3-testscenarios
Standards-Version: 4.6.2
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/h2non/jsonpath-ng
Vcs-Browser: https://salsa.debian.org/debian-gis-team/jsonpath-ng
Vcs-Git: https://salsa.debian.org/debian-gis-team/jsonpath-ng.git
Rules-Requires-Root: no
Description: Robust and extended implementation of JSONPath for Python
 The Python JSONPath Next-Generation library provides a
 robust and significantly extended implementation of JSONPath
 for Python.
 .
 It is a final implementation of JSONPath for Python that
 aims to be standard compliant, including arithmetic and
 binary comparison operators, as defined in the original
 `JSONPath proposal`.
 .
 This library differs from other JSONPath implementations in
 that it is a full *language* implementation, meaning the
 JSONPath expressions are first class objects, easy to
 analyze, transform, parse, print, and extend.
 .
 This package merges both `jsonpath-rw` and
 `jsonpath-rw-ext` and provides several AST API enhancements,
 such as the ability to update or removes nodes in the tree.

Package: python3-jsonpath-ng
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=jsonpath-ng
export PYBUILD_TEST_ARGS=-k "not test_fields_value"

%:
	dh $@ --with python3 --buildsystem=pybuild

## jsonpath-ng 1.6.1

=== debian/changelog ===
jsonpath-ng (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.
  * debian/copyright:
    - Update copyright dates.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 14 Jan 2024 09:49:59 +0000

jsonpath-ng (1.6.0-2) unstable; urgency=medium

  * debian/control:
    - Use the <!nocheck> marker.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Dec 2023 14:12:03 +0000

jsonpath-ng (1.6.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Switch to dh-sequence-*.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - update dependencies.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 16 Sep 2023 13:33:24 +0000

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,13 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-python3,
                python3-all,
-               python3-decorator,
                python3-oslotest,
                python3-pkg-resources,
                python3-ply,
-               python3-pytest,
-               python3-setuptools,
-               python3-six,
-               python3-testscenarios
+               python3-pytest <!nocheck>,
+               python3-setuptools
 Standards-Version: 4.6.2
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/h2non/jsonpath-ng

## jsonpath-ng 1.7.0

=== debian/changelog ===
jsonpath-ng (1.7.0-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update lintian overrides.

  [ Antonio Valentino ]
  * debian/control:
    - Mark python3-jsonpath-ng as "Multi-Arch: foreign".
    - Drop "Rules-Requires-Root: no", no longer needed.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 28 Sep 2025 08:52:15 +0000

jsonpath-ng (1.7.0-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * Fix d/watch.
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 30 Aug 2025 16:33:54 +0000

jsonpath-ng (1.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 13 Oct 2024 17:30:24 +0000

jsonpath-ng (1.6.1-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * debian/control:
    - Drop obsolete dependencies (Closes: #1083446).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 05 Oct 2024 05:56:31 +0000

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,14 @@
                dh-python,
                dh-sequence-python3,
                python3-all,
-               python3-oslotest,
-               python3-pkg-resources,
                python3-ply,
                python3-pytest <!nocheck>,
                python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/h2non/jsonpath-ng
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/jsonpath-ng
 Vcs-Git: https://salsa.debian.org/debian-gis-team/jsonpath-ng.git
-Rules-Requires-Root: no
 Description: Robust and extended implementation of JSONPath for Python
  The Python JSONPath Next-Generation library provides a
  robust and significantly extended implementation of JSONPath
@@ -39,6 +36,7 @@
 
 Package: python3-jsonpath-ng
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${python3:Depends}
 Description: ${source:Synopsis}

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=jsonpath-ng
export PYBUILD_TEST_ARGS=-k "not test_fields_value"

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=\
pgpmode=none,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/@PACKAGE@-$1.$2/ \
https://pypi.debian.net/jsonpath-ng/@PACKAGE@-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## jsonpath-ng 1.8.0

=== debian/changelog ===
jsonpath-ng (1.8.0-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * debian/watch:
    - Switch to github (closes: #1128981).
  * New Updtream release.
  * Update d/copyright.
  * debian/control:
    - Drop dependency on python3-ply.
    - Add dependency on python3-hypothesis.
  * Add d/clean file.
  * debian/riles:
    - Clean the build direcctory to suppress warnings.
    - Re-enable all tests.

  [ Bas Couwenberg ]
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 26 Feb 2026 07:04:10 +0000

jsonpath-ng (1.7.0-4) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Apply patch by Chris Lamb for reproducible builds.
    (closes: #1120591)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Nov 2025 18:04:02 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: jsonpath-ng
 Section: python
-Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-python3,
                python3-all,
-               python3-ply,
+               python3-hypothesis <!nocheck>,
                python3-pytest <!nocheck>,
                python3-setuptools
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/h2non/jsonpath-ng
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/jsonpath-ng

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=jsonpath-ng
export PYBUILD_AFTER_TEST=${RM} -rv {build_dir}/jsonpath_ng/parser.out {build_dir}/.hypothesis {build_dir}/.pytest_cache

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=\
pgpmode=none,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?v(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/@PACKAGE@-$1.$2/ \
https://github.com/h2non/jsonpath-ng/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
